<?php
require'fun.php';
$titlu='Adaugă la prieteni pe '.nume($la,1);
require'f_profil.php';
$back[1]=profil($la,'Profil membru '.nume($la));
$back[2]='<a href="/prieteni">'.img('prieteni.png',2).'Prieteni</a>';
require'f_sus.php';
require'f_mut.php';
require'f_statut.php';
if(budres($de,$la)!=3)
{
if($conn->query('SELECT COUNT(*)FROM`prieteni`WHERE(`de`="'.$de.'"&&`la`="'.$la.'"||`de`="'.$la.'"&&`la`="'.$de.'")&&`citit`>"0"')->fetch_row()[0]>0)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].nume($la).' este în lista ta de prieteni!';
elseif(budres($de,$la)==1)
{
if($conn->query('UPDATE`prieteni`SET`citit`="'.$_SERVER['REQUEST_TIME'].'"WHERE`de`="'.$la.'"&&`la`="'.$de.'"'))
{
$conn->query('INSERT INTO`evenimente`SET`text`="[img='.$domenii_statice[2].'imprietenit.gif] s-a imprietenit cu",`de`="'.$de.'",`la`="'.$la.'",`data`="'.$_SERVER['REQUEST_TIME'].'",`tip`="1"');
require'f_notificare.php';
notificare('te-am acceptat la prieteni!',$la,$de);
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Tu și '.nume($la).', sunteti acum prieteni!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7];
}
if($conn->query('SELECT`cereri_prietenie`FROM`membrii`WHERE`id`="'.$la.'"')->fetch_row()[0]==1)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].nume($la).' nu doreste sa primeasca cereri noi de prietenie!';
elseif(budres($de,$la)==0)
{
if($conn->query('INSERT INTO`prieteni`SET`de`="'.$de.'",`la`="'.$la.'",`data`="'.$_SERVER['REQUEST_TIME'].'"'))
{
require'f_notificare.php';
notificare('ti-am trimis o cerere de prietenie!',$la,$de);
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Cerere trimisa la '.nume($la).'!<br />Daca nu este acceptata timp de <strong>7</strong> zile, va fi ștearsă automat din baza de date!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7];
}
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu poți adauga pe '.nume($la).' în lista ta de prieteni!<br />Cauze probabile: unul din voi a atins limita de <strong>'.$numar_prieteni.'</strong> de prieteni, sau '.nume($la).' te are în lista cu persoane ignorate!';
echo$div[0];
require'f_jos.php';